#include "testlib.h"

const double eps = 1e-6;

int main(int argc, char* argv[]) {
	registerChecker("domino", argc, argv);


	int n = inf.readInt();
	for(int i = 0; i < n; i++) {
		double jval = ans.readDouble();
		double pval = ouf.readDouble();

		if(!doubleCompare(jval, pval, eps))
			quitf(_wa, "line #%d, expected %.7f, found %.7f, error %.7f", i+1, jval, pval, doubleDelta(jval, pval));
	}
	ouf.skipBlanks();
	ouf.readEof();

	quit(_ok);
}
