#include "testlib.h"

const double eps = 1e-9;

int main(int argc, char* argv[]) {
	registerChecker("highway", argc, argv);

	double jval = ans.readDouble();
	double pval = ouf.readDouble();
	ouf.skipBlanks();
	ouf.readEof();
	if(!doubleCompare(jval, pval, eps))
		quitf(_wa, "expected '%.10f', found '%.10f', error '%.10f'", jval, pval, doubleDelta(jval, pval));
	
	quit(_ok);
}
